import { BaseCoreEntity } from 'src/core/modules/domain/entities/base-core.entity';

export interface PosLogEntity extends BaseCoreEntity {
  type: PosLogType;
  pos_number: number;
  total_balance: number;
  created_at: number;
  creator_name: string;
  creator_id: string;
}

export enum PosLogType {
  cash_witdrawal = 'cash withdrawal',
  opening_cash = 'opening_cash',
  login = 'login',
  logout = 'logout',
}
